%define section   devel
%define base_name slide
%define jakarta_version 2.1

Name:           jakarta-%{base_name}-server
Version:        %{jakarta_version}
Release:        2jpp
Epoch:          0
Summary:        Slide content repository server

Group:          Internet/WWW/Servers
License:        Apache Software License
URL:            http://jakarta.apache.org/slide/
Source0:        jakarta-slide-server-src-2.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} )
Distribution:   JPackage
Vendor:         JPackage Project
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6, junit
BuildRequires:  jaxp_transform_impl, ant-trax >= 0:1.6
BuildRequires:  ehcache
BuildRequires:  jakarta-commons-codec
BuildRequires:  jakarta-commons-collections >= 0:2.1.1
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-pool
BuildRequires:  jakarta-commons-transaction
BuildRequires:  jakarta-poi
BuildRequires:  jakarta-slide-webdavclient
BuildRequires:  jta
BuildRequires:  jdom
BuildRequires:  log4j
BuildRequires:  lucene
BuildRequires:  mx4j >= 0:2.0
BuildRequires:  pdfbox
BuildRequires:  servletapi4
BuildRequires:  textmining
BuildRequires:  tomcat4 
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
BuildRequires:  xml-im-exporter
Requires:  ehcache
Requires:  jakarta-commons-codec
Requires:  jakarta-commons-collections >= 0:2.1.1
Requires:  jakarta-commons-dbcp
Requires:  jakarta-commons-httpclient
Requires:  jakarta-commons-pool
Requires:  jakarta-commons-transaction
Requires:  jakarta-poi
Requires:  jakarta-slide-webdavclient
Requires:  jta
Requires:  jdom
Requires:  log4j
Requires:  lucene
Requires:  mx4j >= 0:2.0
Requires:  pdfbox
Requires:  servletapi4
Requires:  textmining
Requires:  xerces-j2
Requires:  xml-commons-apis
Requires:  xml-im-exporter

%description
Slide is a content repository which can serve as 
a basis for a content management system / framework 
and other purposes. It features:
+ Full WebDAV Support 
+ Basic DeltaV WebDAV Versioning Support 
+ Support for a variety of backend systems for 
  storing the content including different databases 
  and file system storage 
+ Transactions and Locking for data integrity 
+ Flexible control over permissions at a per file level 
  via support for the WebDAV ACL 
+ DASL support for any backend, extensible for using 
  backends search capabilities for higher scalability 
  and less latency 
+ Binding support 
+ Simple installation on any server supporting 
  Servlet 2.3 and .war deployment 
+ 'ready-to-run' binary distribution for Tomcat 
+ A fully featured WebDAV client library and command 
  line client 

%package        webapps-tc4
Summary:        Tomcat4-webapps for %{name}
Group:          Internet/WWW/Servers
Requires:       jakarta-slide-server = 0:%{jakarta_version}-%{release}
Requires:       tomcat4 >= 0:4.1.29

%description    webapps-tc4
%{summary}.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.


%prep
%setup -q -n jakarta-%{base_name}-server-src-%{version}
find . -name "*.jar" -exec rm {} \;
#for j in $(find . -name "*.jar"); do
#	mv $j $j.no
#done
echo >> src/stores/org/apache/slide/store/txfile/XMLResourceDescriptor.java
cat > build.properties << EOT
catalina.dist=/var/lib/tomcat4
catalina.server.lib=\${catalina.dist}/server/lib
catalina.common.lib=\${catalina.dist}/common/lib
catalina.jar=\${catalina.server.lib}/catalina.jar
EOT

%build
export OPT_JAR_LIST="ant/ant-junit junit jaxp_transform_impl ant/ant-trax"
export CLASSPATH=$(build-classpath \
commons-codec \
commons-collections \
commons-dbcp \
commons-httpclient \
commons-pool \
commons-transaction \
ehcache \
jta \
jdom \
log4j \
lucene \
mx4j/mx4j-jmx \
pdfbox \
poi \
servletapi4 \
slide/slide-webdavclient-webdavlib \
textmining \
xerces-j2 \
xml-commons-apis \
xml-im-exporter)
ant -Dbuild.sysclasspath=first dist webapp-dist catalina-wrapper


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{base_name}
install -pm 644 \
 dist/slide/lib/%{base_name}-kernel-%{jakarta_version}.jar \
 $RPM_BUILD_ROOT%{_javadir}/%{base_name}/%{name}-kernel-%{version}.jar
install -pm 644 \
 dist/slide/lib/%{base_name}-jdk14logger-%{jakarta_version}.jar \
 $RPM_BUILD_ROOT%{_javadir}/%{base_name}/%{name}-jdk14logger-%{version}.jar
install -pm 644 \
 dist/slide/lib/%{base_name}-log4jlogger-%{jakarta_version}.jar \
 $RPM_BUILD_ROOT%{_javadir}/%{base_name}/%{name}-log4jlogger-%{version}.jar
install -pm 644 \
 dist/slide/lib/%{base_name}-roles-%{jakarta_version}.jar \
 $RPM_BUILD_ROOT%{_javadir}/%{base_name}/%{name}-roles-%{version}.jar
install -pm 644 \
 dist/slide/lib/%{base_name}-stores-%{jakarta_version}.jar \
 $RPM_BUILD_ROOT%{_javadir}/%{base_name}/%{name}-stores-%{version}.jar
install -pm 644 \
 dist/slide/lib/%{base_name}-webdavservlet-%{jakarta_version}.jar \
 $RPM_BUILD_ROOT%{_javadir}/%{base_name}/%{name}-webdavservlet-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{base_name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{base_name} && for jar in jakarta-*.jar; do ln -sf ${jar} `echo $jar| sed  "s|jakarta-||g"`; done)
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/conf
install -pm 644 dist/slide/conf/* \
        $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/conf
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/wrappers
install -pm 644 \
 dist/slide/wrappers/%{base_name}-catalinawrapper-%{jakarta_version}.jar \
 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/wrappers/%{name}-catalinawrapper-%{version}.jar
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/webapp
install -pm 644 \
 dist/slide/webapp/%{base_name}.war \
 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/webapp/%{base_name}-%{version}.war
install -pm 644 \
 dist/slide/webapp/%{base_name}-doc.war \
 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/webapp/%{base_name}-doc-%{version}.war

#javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf dist/doc/javadoc

#manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr dist/doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/LICENSE
%{_javadir}/%{base_name}/*.jar
%{_datadir}/%{name}-%{version}/conf
%{_datadir}/%{name}-%{version}/wrappers

%files webapps-tc4
%defattr(-,root,root,-)
%{_datadir}/%{name}-%{version}/webapp

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}

%changelog
* Mon Sep 05 2005 Ralph Apel <r.apel at r-apel.de> - 0:2.1-2jpp
- Fix requires

* Wed Aug 24 2005 Ralph Apel <r.apel at r-apel.de> - 0:2.1-1jpp
- Upgrade to 2.1

* Sun Sep 19 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.0-1jpp
- Fix release

* Sat Sep 18 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.0-1jpp
- Upgrade to 2.0 final
- Backport adaption to jdom-1.0 final from 2.1.b1
- Relax some versioned dependencies

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:2.0-0.b1.4jpp
- Rebuild with ant-1.6.2

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.0-0.b1.3jpp
- Require  0:%{jakarta_version}-%{release} for webapps-tc4

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:2.0-0.b1.2jpp
- Upgrade to Ant 1.6.X

* Fri Mar 05 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.0-0.b1.1jpp
- First JPackage release
